---
wsId: BitnovoWallet
title: Bitnovo - Buy Bitcoin
altTitle: 
authors:
- danny
users: 10000
appId: com.bitnovo.Wallet
appCountry: us
released: 2021-10-27
updated: 2022-05-04
version: 1.5.2
stars: 3.2
ratings: 
reviews: 4
size: 96M
website: https://www.bitnovo.com
repository: 
issue: 
icon: com.bitnovo.Wallet.png
bugbounty: 
meta: ok
verdict: nosource
date: 2021-11-30
signer: 
reviewArchive: 
twitter: bitnovo
social:
- https://www.linkedin.com/company/Bitnovo
- https://www.facebook.com/BitcoinBitnovo
redirect_from: 

---

**Note:** There are two BitNovo apps on Google Play. Both are by the same developer: [Bitnovo](https://play.google.com/store/apps/developer?id=BITNOVO)

Apparently, com.bitnovo.Wallet is the [updated version](https://twitter.com/BitcoinWalletz/status/1463081586539188225) of com.bitnovo.app which had this verdict:

{% include walletLink.html wallet='android/com.bitnovo.app' verdict='true' %}

## App Description

The app allows users to buy, store, send, and trade cryptocurrencies. It also allows users to redeem vouchers.

## Google Play Critical reviews

Most of the 1-star reviews were about the redemption of the vouchers.

> [roland amiebbereta](https://play.google.com/store/apps/details?id=com.bitnovo.Wallet&reviewId=gp%3AAOqpTOHRDSN9mnDBuFrmNgioxGr-pk6Q2eMO50e-AeJDBD2blAI-0D1BS5ugsxuCKsaanHOBP7Nu-lZ6mO2a4nI)<br>
  ★☆☆☆☆ October 29, 2021 <br>
       The app is not working I can't redeem voucher please work on your site
       
> [Temoso Phora](https://play.google.com/store/apps/details?id=com.bitnovo.Wallet&reviewId=gp%3AAOqpTOECAuA26TcpFrh2OWxrhvtmUI7syzAFE930Dfk-oWE5X9_vhlurqAHtyf-Cl8GFlRwuc_pzAC_85hr9FxU)<br>
  ★☆☆☆☆ November 13, 2021 <br>
       Useless. Cant redeem my voucher

## The App

The app starts out with the option allowing the user to recover a wallet. It asked for a 12-word seed phrase. 

We used the seeds for the wallet we generated with:

{% include walletLink.html wallet='android/org.artr.wallet' verdict='true' %}

We were successful in importing the wallet. 

### The Vouchers and Cards Feature

Bitnovo also offers Vouchers and Cards, that require registering with the service.

## Verdict

This self-custodial app does not claim to be an open source project on its website. We were not able to locate a link to the source code on their webpage. Searching Github for the appID 'com.bitnovo.Wallet' also [did not yield any results](https://github.com/search?q=com.bitnovo.Wallet&type=code). 
